=== debian/changelog ===
ros-bouncy-console-bridge (0.4.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 18 Jun 2018 10:53:41 -0000
