=== debian/control ===
Source: ros-bouncy-console-bridge
Section: misc
Priority: extra
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-console-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ros-workspace
Description: ROS-independent package for logging that seamlessly pipes into rosconsole/rosout for ROS-dependent packages.
